/// <reference types="react" />
import * as React from 'react';
export interface RouteDecotator<T> {
    (x: T): void;
}
export declare type ComponentDecorator = RouteDecotator<React.ComponentClass<{}>>;
/**
 * Marks a react component as a route
 */
export declare function route(path: string): ComponentDecorator;
