import { AnyRoute, Mount } from '../api/route';
import { RouteRecognizer } from '../core/router';
export interface MountParams {
    path: string;
}
export interface MountRequest extends MountParams {
    params: {
        [key: string]: string;
    };
}
export declare function mountRoute(router: RouteRecognizer<AnyRoute>, params: MountParams, cb: (err?: {}, mount?: Mount) => void): void;
