/// <reference types="react" />
import * as React from 'react';
import { Route, AnyRoute, MountValue, Mount } from '../api/route';
export declare const ROUTE_IDENTIFIER = "LuminantRoute";
export declare function makeRoute<T>(x: T): T & AnyRoute;
export declare function injectComponentRender(RouteComponent: React.ComponentClass<{}> & AnyRoute): void;
export declare function isRoute(x: any): x is Route<{}>;
export declare function transformMount(value: MountValue, fn: (x: Mount) => MountValue): MountValue;
