export declare type Maybe<T> = T | undefined;
export declare function arrayify<T>(x: T[] | T): T[];
export declare function isPromiseLike(x: any): x is PromiseLike<{}>;
export declare function withDefault<T>(defaultVal: T, x: Maybe<T>): T;
