/// <reference types="webpack" />
import { NewLoaderRule } from 'webpack';
export declare type PathPattern = string | string[];
export declare type Config = SourceGroup & Partial<ConfigOptions>;
export declare type BuildConfig = SourceGroup & ConfigOptions;
export interface SourceGroup {
    paths: PathPattern;
    loaders?: NewLoaderRule[];
}
export interface ConfigOptions {
    debug: boolean;
}
export declare function getBuildConfig(config: Config): BuildConfig;
